<?php
defined('_JEXEC') or die('Restricted access');
class plgJshoppingAddon_Checkout_Payment_Description extends JPlugin{
    protected $addon;
    protected $document;

    public function __construct(&$subject, $config = array()){
        $this->addon = JTable::getInstance('addon', 'jshop');
        $this->addon->loadAlias('addon_checkout_payment_description');
        parent::__construct($subject, $config);
    }
    
    public function onBeforeDisplayCheckoutFinish(&$text, &$order_id){
        $order = JSFactory::getTable('order');
        if($order->load($order_id)){
            $paymentId = $order->getPayment()->payment_id;
            $paymentDescription = trim($order->getPayment()->getDescription());
            $params = $this->addon->getParams();
            if(is_array($params['payments']) && in_array($paymentId, $params['payments']) && $paymentDescription != ''){
                $text .= $paymentDescription;
            }
        }
    }
}